NamespaceBuilder (Groovy 2.4.14)
Date: 2018-02-24

groovy.xml

## Class NamespaceBuilder

- java.lang.Object
- - groovy.xml.NamespaceBuilder

-     public class NamespaceBuilder
      extends java.lang.Object

  A helper class for creating namespaces for GroovyMarkup
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceBuilder(BuilderSupport builder)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamespaceBuilderSupport` | `declareNamespace(java.util.Map ns)`
    `NamespaceBuilderSupport` | `namespace(java.lang.String uri)`
    `NamespaceBuilderSupport` | `namespace(java.lang.String uri, java.lang.String prefix)`
    `static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder)`
    `static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, java.lang.String uri)`
    `static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)`
    `static NamespaceBuilderSupport` | `newInstance(java.util.Map nsMap, BuilderSupport builder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamespaceBuilder

          public NamespaceBuilder(BuilderSupport builder)

  - ### Method Detail

    - #### newInstance

          public static NamespaceBuilderSupport newInstance(BuilderSupport builder,
                                                            java.lang.String uri)

    - #### newInstance

          public static NamespaceBuilderSupport newInstance(BuilderSupport builder)

    - #### newInstance

          public static NamespaceBuilderSupport newInstance(BuilderSupport builder,
                                                            java.lang.String uri,
                                                            java.lang.String prefix)

    - #### newInstance

          public static NamespaceBuilderSupport newInstance(java.util.Map nsMap,
                                                            BuilderSupport builder)

    - #### namespace

          public NamespaceBuilderSupport namespace(java.lang.String uri)

    - #### namespace

          public NamespaceBuilderSupport namespace(java.lang.String uri,
                                                   java.lang.String prefix)

    - #### declareNamespace

          public NamespaceBuilderSupport declareNamespace(java.util.Map ns)